# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "namada_vm"
version = "0.47.3"
authors = ["Heliax AG <hello@heliax.dev>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Namada VM"
homepage = "https://namada.net/"
documentation = "https://docs.namada.net/"
readme = "README.md"
keywords = [
    "blockchain",
    "privacy",
    "crypto",
    "protocol",
    "network",
]
license = "GPL-3.0"
repository = "https://github.com/anoma/namada"
resolver = "2"

[lib]
name = "namada_vm"
path = "src/lib.rs"

[dependencies.borsh]
version = "1.2"
features = [
    "unstable__schema",
    "derive",
]

[dependencies.clru]
version = "0.6"

[dependencies.namada_account]
version = "0.47.3"

[dependencies.namada_core]
version = "0.47.3"
features = ["control_flow"]

[dependencies.namada_events]
version = "0.47.3"

[dependencies.namada_gas]
version = "0.47.3"

[dependencies.namada_parameters]
version = "0.47.3"

[dependencies.namada_state]
version = "0.47.3"

[dependencies.namada_token]
version = "0.47.3"

[dependencies.namada_tx]
version = "0.47.3"

[dependencies.namada_vp]
version = "0.47.3"

[dependencies.parity-wasm]
version = "0.45"
features = ["sign_ext"]
optional = true

[dependencies.rayon]
version = "1.5"
optional = true

[dependencies.smooth-operator]
version = "0.7"

[dependencies.tempfile]
version = "3.2"
optional = true

[dependencies.thiserror]
version = "2.0"

[dependencies.tracing]
version = "0.1"

[dependencies.wasm-instrument]
version = "0.4.0"
features = ["sign_ext"]
optional = true

[dependencies.wasmer]
version = "4.3.5"
optional = true

[dependencies.wasmer-cache]
version = "4.3.5"
optional = true

[dependencies.wasmer-compiler-singlepass]
version = "4.3.5"
optional = true

[dependencies.wasmer-vm]
version = "4.3.5"
optional = true

[dependencies.wasmparser]
version = "0.121"

[dev-dependencies.assert_matches]
version = "1.5"

[dev-dependencies.byte-unit]
version = "5.1"

[dev-dependencies.itertools]
version = "0.14"

[dev-dependencies.tempfile]
version = "3.2"

[dev-dependencies.test-log]
version = "0.2"
features = ["trace"]
default-features = false

[dev-dependencies.wasmer-compiler]
version = "4.3.5"

[dev-dependencies.wasmer-types]
version = "4.3.5"

[features]
default = ["wasm-runtime"]
testing = [
    "namada_account/testing",
    "namada_core/testing",
    "tempfile",
]
wasm-runtime = [
    "parity-wasm",
    "rayon",
    "wasm-instrument",
    "wasmer-cache",
    "wasmer-compiler-singlepass",
    "wasmer-vm",
    "wasmer",
]
